# $Id: plzip.spec 353 2020-04-18 15:31:08Z ccachat $

#
# spec file for package plzip
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#
%global debug_package %{nil}

Name:            tarlz
Version:         0.25
Release:         2%{?dist}.frs
Summary:         Parallel LZMA Data Compressor
License:         GPL-2.0-or-later
Group:           Productivity/Archiving/Compression
URL:             http://lzip.nongnu.org/tarlz.html
Source:          http://download.savannah.gnu.org/releases/lzip/%name/%name-%version.tar.lz
BuildRoot:       %{_tmppath}/%{name}-%{version}-build
BuildRequires:   gcc-c++
BuildRequires:   lzip lzlib-devel
Requires:        lzlib
Requires(post):  /sbin/install-info
Requires(preun): /sbin/install-info

%description
Plzip is a parallel version of the lzip data compressor. The files
produced by plzip are fully compatible with lzip-1.4 or newer. Plzip
is intended for faster compression/decompression of big files on
multiprocessor machines.

Lzip is a lossless data compressor based on the LZMA algorithm, with
very safe integrity checking and a user interface similar to the one
of gzip or bzip2. Lzip decompresses almost as fast as gzip and
compresses better than bzip2, which makes it well suited for software
distribution and data archiving.

%prep
%setup

%build
%configure
%{__make} %{?_smp_flags}

%install
rm -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
rm -f %{buildroot}/%{_infodir}/dir

%check
%ifnarch %{ix86}
%{__make} %{?_smp_mflags} check
%endif

%clean
rm -rf %{buildroot}

%post
if [ -f %{_infodir}/%{name}.info.gz ]; then
    /sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi

%preun
if [ $1 = 0 ]; then
    if [ -f %{_infodir}/%{name}.info.gz ]; then
        /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
    fi
fi
exit 0


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%_bindir/%name
%_infodir/%name.info*
%_mandir/man1/%name.1*

%changelog
* Sat Oct 16 2021 FRS Packager <packager@fr-software.com> 1.9 1.frs
- Bumped to 1.21, initial version
